Page MenuHomeFreeBSD

wpa: ctrl_iface set sendbuf size
ClosedPublic

Authored by bz on Nov 12 2023, 11:38 PM.
Tags
None
Referenced Files
Unknown Object (File)
Mon, Jun 3, 8:16 PM
Unknown Object (File)
May 14 2024, 3:51 AM
Unknown Object (File)
May 11 2024, 3:35 PM
Unknown Object (File)
May 11 2024, 3:35 PM
Unknown Object (File)
May 11 2024, 3:35 PM
Unknown Object (File)
May 8 2024, 2:18 PM
Unknown Object (File)
May 2 2024, 11:38 AM
Unknown Object (File)
Apr 26 2024, 2:17 AM

Details

Summary

In order to avoid running into the default net.local.dgram.maxdgram
of 2K currently when calling sendto(2) try to set the sndbuf size to
the maximum ctrl message size.
The problem occured, e.g., when the scan_list result had enough BSSIDs
so the text output would exceed 2048 bytes.

Sponsored by: The FreeBSD Foundation
MFC after: 3 days
PR: 274990

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

bz requested review of this revision.Nov 12 2023, 11:38 PM
This revision is now accepted and ready to land.Nov 29 2023, 2:55 AM

This won't work on FreeBSD 14. The notions of "send buffer size" and "max datagram size" are now two different things. Before 14, SO_SNDBUF in reality controlled the maximum datagram size. Now it controls send buffer size.

This won't work on FreeBSD 14. The notions of "send buffer size" and "max datagram size" are now two different things. Before 14, SO_SNDBUF in reality controlled the maximum datagram size. Now it controls send buffer size.

Yes, but it worked for almost 40 years and on every other UNIX/Linux does too. This won't be committed until local sockets are fixed. The limits put into that file in the last millennium were and are really not adequate anymore in the last 20 years (despite never been enforced anyway).

This revision was automatically updated to reflect the committed changes.